"use strict";

const GameStudioClub = require("./components/game-studio-club");
const Popularization = require("./components/popularization");

class EducationPage {
    constructor(args) {
        Object.assign(this, args);
    }

    render() {
        return {
            tag: "div",
            id: "education-page",
            contents: [
                {
                    tag: "div",
                    class: "page-header",
                    contents: [
                        { tag: "h1", contents: "<blue>Pédagogie</blue>" },
                        {
                            tag: "p",
                            class: "edu-philo",
                            contents:
                                "Démystifier et s'approprier la technologie par le partage de connaissances.",
                        },
                    ],
                },
                new GameStudioClub().render(),
                new Popularization().render(),
            ],
        };
    }
}

module.exports = EducationPage;
